namespace Syntriax.Engine.Core;

/// <summary>
/// Represents a <see cref="IBehaviour"/> to be notified when the update phase of the <see cref="IUniverse"/> occurs.
/// </summary>
public interface IUpdate : IBehaviour
{
    /// <summary>
    /// Updates the state of the <see cref="IBehaviour"/>.
    /// </summary>
    void Update();
}
